geoipUpdateRows Error


#1

Hello, I tried to update my old enties without geoip data by open misc/others/geoipUpdateRows.php with my browser (no console access) and got this error:
Fatal error: Class ‘Piwik\Config’ not found in /users/xxx/www/analytics/misc/others/cli-script-bootstrap.php on line 35

How can I solve that problem?

I’m using Piwik 2.6.1.


(Matthieu Aubry) #2

Hi Amotellus,

actually we are rewriting this console command! Maybe you could test the new code in: New console command to replace script geoipUpdateRows.php by czolnowski · Pull Request #6146 · matomo-org/matomo · GitHub or simply wait for it to be released in 2.7.0 or 2.8.0


#3

Doesn’t look like it was fixed in 2.7.0. Any way of getting this to work in the meantime? It’s kind of an important function that is borked at the moment.


(Matthieu Aubry) #4

it should be fixed in the latest beta 2.8.0: Index of /